LotusGraphInternal::ZoneWK4 Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | List of all members
LotusGraphInternal::ZoneWK4 Struct Reference

the graphic zone of a LotusGraph : wk4 More...

## Public Types
enum | Type { Border , Chart , Group , Picture , Shape , TextBox , Unknown }
| the different type More...

## Public Member Functions
| ZoneWK4 (std::shared_ptr< WPSStream > const &stream)
| constructor

## Public Attributes
int | m_type
| the zone type
int | m_subType
| the sub type
int | m_id
| the zone id
Vec2i | m_cell
| the cell
Vec2f | m_cellPosition
| the position in the cell
Vec2i | m_frameSize
| the frame dimension
WPSBox2i | m_pictureDim
| the picture dimension
std::string | m_pictureName
| the picture name
WPSGraphicShape | m_shape
| the graphic shape
WPSGraphicStyle | m_graphicStyle
| the graphic style wk4
bool | m_hasShadow
| a flag to know if we need to add shadow
WPSEntry | m_textEntry
| the text entry (for textbox and button)
std::shared_ptr< WPSStream > | m_stream
| the stream

## Detailed Description

the graphic zone of a LotusGraph : wk4

## Member Enumeration Documentation

## ◆ Type

enum LotusGraphInternal::ZoneWK4::Type

the different type

Enumerator
Border |
Chart |
Group |
Picture |
Shape |
TextBox |
Unknown |

## Constructor & Destructor Documentation

## ◆ ZoneWK4()

LotusGraphInternal::ZoneWK4::ZoneWK4 | ( | std::shared_ptr< WPSStream > const & | stream | ) |
| inlineexplicit

constructor

## Member Data Documentation

## ◆ m_cell

Vec2i LotusGraphInternal::ZoneWK4::m_cell

the cell

## ◆ m_cellPosition

Vec2f LotusGraphInternal::ZoneWK4::m_cellPosition

the position in the cell

## ◆ m_frameSize

Vec2i LotusGraphInternal::ZoneWK4::m_frameSize

the frame dimension

## ◆ m_graphicStyle

WPSGraphicStyle LotusGraphInternal::ZoneWK4::m_graphicStyle

the graphic style wk4

## ◆ m_hasShadow

bool LotusGraphInternal::ZoneWK4::m_hasShadow

a flag to know if we need to add shadow

## ◆ m_id

int LotusGraphInternal::ZoneWK4::m_id

the zone id

## ◆ m_pictureDim

WPSBox2i LotusGraphInternal::ZoneWK4::m_pictureDim

the picture dimension

## ◆ m_pictureName

std::string LotusGraphInternal::ZoneWK4::m_pictureName

the picture name

## ◆ m_shape

WPSGraphicShape LotusGraphInternal::ZoneWK4::m_shape

the graphic shape

## ◆ m_stream

std::shared_ptr<WPSStream> LotusGraphInternal::ZoneWK4::m_stream

the stream

## ◆ m_subType

int LotusGraphInternal::ZoneWK4::m_subType

the sub type

## ◆ m_textEntry

WPSEntry LotusGraphInternal::ZoneWK4::m_textEntry

the text entry (for textbox and button)

## ◆ m_type

int LotusGraphInternal::ZoneWK4::m_type

the zone type

The documentation for this struct was generated from the following file:

- LotusGraph.cpp